﻿using System.Windows;
using System.Windows.Controls;
using JeremyBytes.StopWatch;

namespace SilverlightStopWatch
{
    public partial class MainPage : UserControl
    {
        Ticker _localTicker;

        public MainPage()
        {
            InitializeComponent();
            _localTicker = (Ticker)Resources["localTicker"];
        }

        private void startButton_Click(object sender, RoutedEventArgs e)
        {
            _localTicker.Start();
        }

        private void stopButton_Click(object sender, RoutedEventArgs e)
        {
            _localTicker.Stop();
        }

        private void clearButton_Click(object sender, RoutedEventArgs e)
        {
            _localTicker.Clear();
        }
    }
}
